#![forbid(unsafe_code)]
use webhookbridge::init_tracing;
use webhookbridge::local_trigger;

const EXAMPLE_WEBHOOK_PAYLOAD: &str = include_str!("../example_tag_webhook_payload.json");

#[tokio::main]
#[allow(clippy::needless_return)]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    init_tracing().await?;
    local_trigger(EXAMPLE_WEBHOOK_PAYLOAD).await
}
